%define anolis_release 2
Summary: Linux scheduler python bindings
Name: python-schedutils
Version: 0.6
Release: %{anolis_release}%{?dist}
License: GPLv2
URL: https://rt.wiki.kernel.org/index.php/Tuna
Source: https://cdn.kernel.org/pub/software/libs/python/%{name}/%{name}-%{version}.tar.xz

BuildRequires: python3-devel
BuildRequires: gcc


%global _description\
Python interface for the Linux scheduler sched_{get,set}{affinity,scheduler}\
functions and friends.

%description %_description

%package -n python3-schedutils
Summary: %summary
%{?python_provide:%python_provide python3-schedutils}

%description -n python3-schedutils %_description

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-schedutils
%license COPYING
%{_bindir}/pchrt
%{_bindir}/ptaskset
%{_mandir}/man1/pchrt.1*
%{_mandir}/man1/ptaskset.1*
%{python3_sitearch}/schedutils*.so
%{python3_sitearch}/schedutils-%{version}.dist-info/


%changelog
* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.6-2
- optimise dependency

* Tue Mar 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.6-1
- Init from upstream version 0.6

